package com.muyu.common.rabbit.config;

import lombok.AllArgsConstructor;
import org.springframework.amqp.rabbit.connection.CorrelationData;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @ClassName:
 * @Description: 消息发送到 交换机的确认  回调方法
 */
@Component
@AllArgsConstructor
public class MyConfirmCallback implements RabbitTemplate.ConfirmCallback {


    private RabbitTemplate rabbitTemplate;

//    public MyConfirmCallback(RabbitTemplate rabbitTemplate) {
//        this.rabbitTemplate = rabbitTemplate;
//        // 设置 消息发送到交换机成功 的回调
//        this.rabbitTemplate.setConfirmCallback(this);
//    }

    @PostConstruct
    public void init() {
        this.rabbitTemplate.setConfirmCallback(this);
    }

    /**
     * 发送消息到交换机的回调方法  消息发送成功或者失败都会执行
     *
     * @param correlationData correlation data for the callback.  消息的元数据
     * @param ack             true for ack, false for nack
     * @param cause           An optional cause, for nack, when available, otherwise null.
     */
    @Override
    public void confirm(CorrelationData correlationData, boolean ack, String cause) {
        if (ack) {
            System.out.println("消息发送到交换机成功~");
        } else {
            System.out.println("消息发送到交换机失败，失败的原因：" + cause);
        }
    }
}
