package com.muyu.common.system.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.annotation.Excel.ColumnType;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 企业对象
 * @author 袁子龙
 * @package com.muyu.common.system.domain
 * @name Enterprise
 * @date 2024/9/30  12:05
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class Enterprise extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 企业Id
     */
    @Excel(name = "企业序号",cellType = ColumnType.NUMERIC, prompt = "企业编号")
    private Integer id;
    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String firmName;
    /**
     * 数据库名称
     */
    @Excel(name = "数据库名称")
    private String databaseName;
}
