package com.muyu.event.basic;

import com.alibaba.fastjson2.JSONB;
import com.alibaba.fastjson2.JSONObject;
import org.springframework.context.ApplicationEventPublisher;
import org.springframework.context.ApplicationEventPublisherAware;
import org.springframework.stereotype.Component;

/**
 * 策略发送事件
 * @author 刘武
 * @package：com.muyu.event.basic
 * @name：EventPublisher
 * @date：2024/9/29 22:01
 */
@Component
public class EventPublisher implements ApplicationEventPublisherAware {

    private ApplicationEventPublisher publisher;

    @Override
    public void setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher) {
        this.publisher=applicationEventPublisher;
    }

    public void publishEvent(JSONObject jsonObject){
        EventCustom event = new EventCustom(this, jsonObject);
        publisher.publishEvent(event);
    }



}
