package com.muyu.event.consumer;



import com.alibaba.fastjson2.JSONObject;
import com.muyu.event.basic.EventPublisher;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecords;
import org.apache.kafka.clients.consumer.KafkaConsumer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.time.Duration;
import java.util.Collections;
import java.util.List;

import static org.bouncycastle.asn1.x500.style.RFC4519Style.l;

/**
 * kafka监听
 * @author 刘武
 * @package：com.muyu.event.consumer
 * @name：KafkaConsumer
 * @date：2024/9/28 23:34
 */
@Component
@Log4j2
public class MessageConsumer implements ApplicationRunner {

    @Autowired
    public KafkaConsumer consumer;
    @Autowired
    private EventPublisher eventPublisher;

    private final String topic="four_car";


    @Override
    public void run(ApplicationArguments args) throws Exception {
        List<String> list = Collections.singletonList(topic);
        consumer.subscribe(list);

        while (true){
            ConsumerRecords<String,String> consumerRecords = consumer.poll(Duration.ofMillis(100));
            consumerRecords.forEach(record -> {
                String value = record.value();
                JSONObject jsonObject = JSONObject.parseObject(value);
                log.info("value:{}",value);
//                eventPublisher.publishEvent(jsonObject);
            });


        }
    }
}
