package com.muyu.vehicle.controller;
import com.muyu.common.core.domain.Result;
import com.muyu.vehicle.domain.VehicleAuthentication;
import com.muyu.vehicle.domain.req.VehicleConnectionReq;
import com.muyu.vehicle.service.VehicleAuthenticationService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Log4j2
@RestController
@RequestMapping("/carInstance")
public class CarInstanceController {

    @Autowired
    private VehicleAuthenticationService vehicleAuthenticationService;


    @PostMapping("/receiveMsg")
    public Result receiveMsg(@RequestBody VehicleConnectionReq vehicleConnectionReq){
        log.info("=======>"+vehicleConnectionReq);
        VehicleAuthentication vehicleAuthentication = VehicleAuthentication.buildVehicle(vehicleConnectionReq);
        Integer i = vehicleAuthenticationService.insertVehicleAuthentication(vehicleAuthentication);
        return i>0?Result.success():Result.error();
    }

}
