package com.muyu.vehicle.domain;

import com.muyu.vehicle.domain.req.VehicleConnectionReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;


/**
 * 车辆鉴权表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleAuthentication {

    /**
     * ID
     */
    private Integer id;

    /**
     * 车辆VIN码
     */
    private String vin;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;


    public static VehicleAuthentication buildVehicle(VehicleConnectionReq req){
        return builder()
                .vin(req.getVehicleVin())
                .userName(req.getUsername())
                .password((req.getVehicleVin()+req.getTimestamp()+req.getNonce()))
                .build();
    }



}
