package com.muyu.cache;

import com.muyu.common.domain.CarType;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 车辆类型缓存
 * @Version 1.0
 * @Data 2024-09-30 16:31:44
 */
@Component
public class CarTypeCacheService extends CacheAbsBasic<String, List<CarType>> {
    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "carType:";
    }

    /**
     * 解码key
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
