package com.muyu.cache;

import com.muyu.common.domain.DataType;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 数据类型缓存
 * @Version 1.0
 * @Data 2024-09-30 10:57:24
 */
@Component
public class DataTypeCacheService extends CacheAbsBasic<String, List<DataType>> {
    /**
     * key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "DataType";
    }


    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
