package com.muyu.cache;

import com.muyu.common.domain.database.ElectronicFence;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 电子围栏缓存
 * @Version 1.0
 * @Data 2024-09-29 20:53:46
 */
@Component
public class ElectronicFenceCacheService extends CacheAbsBasic<String, List<ElectronicFence>>{
    /**
     * key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "electronicFence";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
