package com.muyu.cache;

import com.muyu.common.domain.database.ElectronicFenceGroup;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 围栏组缓存
 * @Version 1.0
 * @Data 2024-09-29 20:57:46
 */
@Component
public class ElectronicFenceGroupCacheService extends CacheAbsBasic<String, List<ElectronicFenceGroup>>{
    /**
     * key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "electronicFenceGroup";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
