package com.muyu.cache;

import com.muyu.common.domain.MessageTemplate;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 报文缓存
 * @Version 1.0
 * @Data 2024-09-30 11:01:13
 */
@Component
public class MessageTemplateCacheService extends CacheAbsBasic<String, List<MessageTemplate>>{
    /**
     * key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "message_template";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
