package com.muyu.cache;

import com.muyu.common.domain.MessageTemplateType;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 报文模版类型缓存
 * @Version 1.0
 * @Data 2024-09-30 11:04:43
 */
@Component
public class MessageTemplateTypeCacheService extends CacheAbsBasic<String, List<MessageTemplateType>>{
    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "messageTemplateType";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
