package com.muyu.cache;

import com.muyu.common.domain.SysCar;
import com.muyu.common.domain.resp.SysCarVo;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 车辆缓存
 * @Version 1.0
 * @Data 2024-09-30 16:35:14
 */
@Component
public class SysCarCacheService extends CacheAbsBasic<String, List<SysCarVo>>{
    /**
     * key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "car";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
