package com.muyu.cache;

import com.muyu.common.domain.Template;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 报文模版缓存
 * @Version 1.0
 * @Data 2024-09-30 18:21:46
 */
@Component
public class TemplateCacheService extends CacheAbsBasic<String, List<Template>>{
    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "template";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
