package com.muyu.cache;

import com.muyu.common.domain.resp.WarnRuleResp;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 预警规则缓存
 * @Version 1.0
 * @Data 2024-09-30 16:37:09
 */
@Component
public class WarnRuleCacheService extends CacheAbsBasic<String, List<WarnRuleResp>>{
    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "warnRule";
    }

    /**
     * 解码
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
