package com.muyu.cache;

import com.muyu.common.domain.resp.WarnStrategyResp;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author YuPing
 * @Description 预警策略缓存
 * @Version 1.0
 * @Data 2024-09-30 16:38:35
 */
@Component
public class WarnStrategyCacheService extends CacheAbsBasic<String, List<WarnStrategyResp>> {
    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "warnStrategy";
    }

    /**
     * 解码key
     * @param key 编码key
     * @return
     */
    @Override
    public String decode(String key) {
        return key.replace(keyPre(), "");
    }
}
