package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.sql.Date;

/**
 * 报文模版
 * @author liuxinyue
 * @Package：com.template.domain
 * @Project：cloud-server
 * @name：MessageTemplate
 * @Date：2024/9/21 12:09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "报文")
@TableName("message_template")
public class MessageTemplate {

    /**
     * 主键
     */
    private Integer messageId;
    /**
     * 车辆VIN码
     */
    private String vinCode;
    /**
     * 时间戳
     */
    private Date timeStamp;
    /**
     * 经度
     */
    private String longItude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 车速
     */
    private String speedVehicle;
    /**
     * 总里程
     */
    private String totalMileage;
    /**
     * 总电压
     */
    private String totalVoltage;
    /**
     * 总电流
     */
    private String combinedCurrent;
    /**
     * 绝缘电阻
     */
    private String insulationResistance;
    /**
     * 档位
     */
    private String gearPosition;
    /**
     * 加速踏板行程值
     */
    private String acceleratorPedalTravelValue;
    /**
     * 制动踏板行程值
     */
    private String brakePedalTravelValue;
    /**
     * 燃料消耗率
     */
    private String specificFuelConsumption;
    /**
     * 电机控制器温度
     */
    private String motorControllerTemperature;
    /**
     * 电机转速
     */
    private String motorSpeed;
    /**
     * 电机转矩
     */
    private String motorTorque;
    /**
     * 电机温度
     */
    private String motorTemperature;
    /**
     * 电机电压
     */
    private String motorVoltage;
    /**
     * 电机电流
     */
    private String motorCurrent;
    private String powerBatteryRemainingSoc;
    private String maximumFeedbackPower;
    private String maximumDischargePower;
    private String bmsSelfCheckCounter;
    private String powerBattery;
    private String totalVoltageLoadSide;
    private String maximumVoltage;
    private String minimumVoltage;
    private String maximumTemperature;
    private String minimumTemperature;
    private String availableCapacity;
    private String vehicleStatus;
    private String chargingState;
    private String operationalStatus;
    private String soc;
    private String energyStorageDevices;
    private String driveMotorCondition;
    private String whetherWorks;
    private String eas;
    private String ptc;
    private String eps;
    private String abs;
    private String mcu;
    private String heatingState;
    private String powerBatteryStatus;
    private String stateBatteryInsulation;
    private String dcdc;
    private String chg;
    private String checkDigit;
    private String cutoffBit;

}
