package com.muyu.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 预警日志对象 warn_logs
 *
 * @author sx
 * @date 2024-09-20
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("warn_logs")
public class WarnLogs{
    private static final long serialVersionUID = 1L;

    /** 预警日志id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 车辆vin码 */
    @Excel(name = "车辆vin码")
    private String vin;

    /** 规则id */
    @Excel(name = "规则id")
    private Long warnRuleId;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 最大值 */
    @Excel(name = "最大值")
    private Long maxValue;

    /** 最小值 */
    @Excel(name = "最小值")
    private Long minValue;

    /** 平均值 */
    @Excel(name = "平均值")
    private Long avgValue;

    /** 中位数 */
    @Excel(name = "中位数")
    private Long medianValue;

    /** 是否发送预警 */
    @Excel(name = "是否发送预警")
    private Long status;



}
