package com.muyu.common.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * 回显围栏组及绑定的电子围栏
 * @author yuping
 * @package com.muyu.fence.domain.resp
 * @name ElectronicFenceGroupResp
 * @date 2024/9/22 14:36
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "回显围栏组及绑定的电子围栏")
public class ElectronicFenceGroupResp {

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 围栏组优先级
     */
    private Integer priority;
    /**
     * 围栏组名称
     */
    private String groupName;
    /**
     * 围栏组类型
     */
    private String   groupType;

    /**
     * 启用状态
     */
    private String status;


    /**
     * 绑定的电子围栏
     */
    List<ElectronicFenceResp> electronicFenceRespList;





}
