package com.muyu.common.util;

import org.apache.kafka.clients.consumer.KafkaConsumer;
import org.apache.kafka.common.serialization.Deserializer;
import org.apache.kafka.common.serialization.StringDeserializer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;

/**
 * @author liuxinyue
 * @Package：com.muyu.common.util
 * @name：KafkaConsumerConfig
 * @Date：2024/9/29 20:19
 */
@Configuration
public class KafkaConsumerConfig
{

    @Bean
    public KafkaConsumer kafkaConsumer(){
        HashMap<String, Object> map = new HashMap<>();
        map.put("bootstrap.servers", "47.101.53.251:9092");
        map.put("enable.auto.commit",true);
        map.put("auto.commit.interval", 5000);
        map.put("auto.offset.reset", "latest");
        map.put("fetch.max.wait", 500);
        map.put("fetch.min.size", 1);
        map.put("heartbeat-interval", 3000);
        map.put("max.poll.records", 500);
        map.put("group.id", KafkaConstants.KafkaGrop);
        //指定key使用的反序列化类
        Deserializer keyDeserializer = new StringDeserializer();
        //指定value使用的反序列化类
        Deserializer valueDeserializer = new StringDeserializer();
        //创建Kafka消费者
        KafkaConsumer kafkaConsumer = new KafkaConsumer(map, keyDeserializer, valueDeserializer);
        return kafkaConsumer;
    }


}
