package com.muyu.common.util;

import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.common.serialization.Serializer;
import org.apache.kafka.common.serialization.StringSerializer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;

/**
 * @author liuxinyue
 * @Package：com.muyu.common.util
 * @name：KafkaProviderConfig
 * @Date：2024/9/29 20:15
 */
@Configuration
public class KafkaProviderConfig{

    @Bean
    public KafkaProducer KafkaProvider(){

        HashMap<String, Object> map = new HashMap<>();
        map.put("bootstrap.servers", "47.101.53.251:9092");
        map.put("retries", "2");
        map.put("batch.size", 16384);
        map.put("buffer-memory", 33554432);
        map.put("acks", "-1");
        Serializer keySerializer = new StringSerializer();
        //指定value使用的序列化类
        Serializer valueSerializer = new StringSerializer();
        //创建Kafka生产者
        KafkaProducer kafkaProducer = new KafkaProducer(map, keySerializer, valueSerializer);
        return kafkaProducer;
    }


}
