package com.muyu.server.controller.form;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * 企业名称查询表单
 * @author  yuping
 * @package com.muyu.server.controller.form
 * @name SearchEnterpriseName
 * @Date 2024/9/29 12:06
 */
@Data
public class SearchEnterpriseName {

//    @Pattern(regexp = "^[0-9a-zA-Z\\u4e00-\\u9fa5]{1,10}$", message = "enterpriseName内容不正确")
    private String enterpriseName;

    @NotNull(message = "page不能为空")
    @Min(value = 1, message = "page不能小于1")
    private Integer page;

    @NotNull(message = "length不能为空")
    @Range(min = 10, max = 50, message = "length必须在10~50之间")
    private Integer length;

}
