package com.muyu.server.mapper;

import com.muyu.common.domain.Enterprise;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * 企业信息 Mapper接口
 * @author yupnig
 * @package com.muyu.server.mapper
 * @name EnterpriseDao
 * @date 2024-09-29 14:31:06
 */
@Mapper
public interface EnterpriseDao {
    // 查询分页信息
    public ArrayList<HashMap> selectEnterprise(Map param);
    //查询企业记录总数
    public long selectEnterpriseCount();


    //新增企业信息
    public int insert(Enterprise enterprise);


    //根据编号查询企业信息
    public HashMap searchById(int enterpriseId);
    //修改企业信息
    public int updateEnterprise(Enterprise enterprise);


    //删除企业信息
    public int deleteByIds(@Param("ids") Integer[] ids);
}
