package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.SysCarFault;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 *  车辆故障码 管理层
 * @author 袁子龙
 * @Package: com.muyu.breakdown.mapper
 * @Name: SysCarFaultMapper
 * @Date: 2024/9/20 10:57
 */
@Mapper
public interface SysCarFaultMapper extends BaseMapper<SysCarFault> {

    //根据添加的故障码进行查询
    @Select("select fault_code from sys_car_fault where fault_code=#{faultCode}")
    SysCarFault selectFaultByFaultCode(String faultCode);

    /**
     *  查询故障码信息
     * @param ids 故障码信息主键
     * @return 故障码信息
     */
    public List<SysCarFault> selectSysCarFaultIds(String[] ids);




}
