package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.WarnStrategy;
import com.muyu.common.domain.req.WarnStrategyReq;
import com.muyu.common.domain.resp.WarnStrategyResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 预警策略Mapper接口
 * @author muyu
 * @package com.muyu.server.mapper
 * @name WarnStrategyMapper
 * @date 2024-09-20
 */
@Mapper
public interface WarnStrategyMapper extends BaseMapper<WarnStrategy> {
    //列表
    List<WarnStrategyResp> selectWarnStrategyList(WarnStrategyReq warnStrategyReq);

    //根据车辆类型查询策略
    List<WarnStrategyResp> selectListByCarType(@Param("carTypeId")Long carTypeId);

    //更新
    Integer update(QueryWrapper<WarnStrategy> wrapper);
}
