package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cache.CarTypeCacheService;
import com.muyu.common.domain.CarType;
import com.muyu.common.domain.resp.CarTypeResp;
import com.muyu.server.mapper.CarTypeMapper;
import com.muyu.server.service.CarTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 车辆类型 服务层处理
 * @author sx
 * @package com.muyu.server.service.impl
 * @name CarTypeServiceImpl
 * @date 2024-09-29 16:06:22
 */
@Service
public class CarTypeServiceImpl extends ServiceImpl<CarTypeMapper, CarType> implements CarTypeService{

    @Autowired
    private CarTypeMapper carTypeMapper;


    @Autowired
    private CarTypeCacheService carTypeCacheService;

    @Override
    public List<CarType> selectCarTypeList() {
        QueryWrapper<CarType> carTypeQueryWrapper = new QueryWrapper<>();
        List<CarType> list = carTypeMapper.selectList(carTypeQueryWrapper);

        carTypeCacheService.put("List", list);

        return list;
    }

    @Override
    public CarTypeResp selectCarTypeRespList(Long id) {
        CarTypeResp carTypeResp = carTypeMapper.selectCarTypeRespList(id);
        return carTypeResp;
    }

    @Override
    public CarType findCarTypeById(Long carTypeId) {
        QueryWrapper<CarType> carTypeQueryWrapper = new QueryWrapper<>();
        carTypeQueryWrapper.eq("car_type_id", carTypeId);
        CarType carType = carTypeMapper.selectOne(carTypeQueryWrapper);
        return carType;
    }

    @Override
    public List<CarTypeResp> findAllCars() {
        List<CarTypeResp> allCars = carTypeMapper.findAllCars();
        return allCars;
    }
}
