package com.muyu.server.service.impl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cache.MessageTemplateTypeCacheService;
import com.muyu.common.domain.MessageTemplateType;
import com.muyu.server.mapper.MessageTemplateTypeMapper;
import com.muyu.server.service.MessageTemplateTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
/**
 * 报文模版类型 服务层处理
 * @author liuxinyue
 * @Package：com.sheep.message.service.impl
 * @name：MessageTemplateTypeServiceImpl
 * @Date：2024/9/19 14:34
 */
@Service
public class MessageTemplateTypeServiceImpl  extends ServiceImpl<MessageTemplateTypeMapper, MessageTemplateType> implements MessageTemplateTypeService {

    @Autowired
    private MessageTemplateTypeMapper messageTemplateTypeMapper;

    @Autowired
    private MessageTemplateTypeCacheService messageTemplateTypeCacheService;


    @Override
    public Integer addMessageType(MessageTemplateType messageTemplateType) {
        return messageTemplateTypeMapper.insert(messageTemplateType);
    }


    @Override
    public List<MessageTemplateType> findvehicleFoundationData(Integer templatedId, String code) {
        QueryWrapper<MessageTemplateType> messageTemplateTypeQueryWrapper = new QueryWrapper<>();
        messageTemplateTypeQueryWrapper.eq("template_id",templatedId);
        messageTemplateTypeQueryWrapper.eq("message_class",code);
        List<MessageTemplateType> messageTemplateTypes = messageTemplateTypeMapper.selectList(messageTemplateTypeQueryWrapper);

        messageTemplateTypeCacheService.put("List",messageTemplateTypes);

        return messageTemplateTypes;
    }

    @Override
    public List<MessageTemplateType> findvehicleData(Integer templatedId, String code) {
        QueryWrapper<MessageTemplateType> messageTemplateTypeQueryWrapper = new QueryWrapper<>();
        messageTemplateTypeQueryWrapper.eq("template_id",templatedId);
        messageTemplateTypeQueryWrapper.eq("message_class",code);
        List<MessageTemplateType> messageTemplateTypes = messageTemplateTypeMapper.selectList(messageTemplateTypeQueryWrapper);
        return messageTemplateTypes;
    }

    @Override
    public List<MessageTemplateType> finddeviceStatusData(Integer templatedId, String code) {
        QueryWrapper<MessageTemplateType> messageTemplateTypeQueryWrapper = new QueryWrapper<>();
        messageTemplateTypeQueryWrapper.eq("template_id",templatedId);
        messageTemplateTypeQueryWrapper.eq("message_class",code);
        List<MessageTemplateType> messageTemplateTypes = messageTemplateTypeMapper.selectList(messageTemplateTypeQueryWrapper);
        return messageTemplateTypes;
    }


    @Override
    public List<MessageTemplateType> findMessageByTemplateName(Integer templatedId) {
        QueryWrapper<MessageTemplateType> messageTemplateTypeQueryWrapper = new QueryWrapper<>();
        messageTemplateTypeQueryWrapper.eq("template_id",templatedId);
        List<MessageTemplateType> messageTemplateTypes = messageTemplateTypeMapper.selectList(messageTemplateTypeQueryWrapper);
        return messageTemplateTypes;
    }

    @Override
    public List<MessageTemplateType> findTemplateById(Integer templateId) {
        QueryWrapper<MessageTemplateType> messageTemplateTypeQueryWrapper = new QueryWrapper<>();
        messageTemplateTypeQueryWrapper.eq("template_id",templateId);
        List<MessageTemplateType> messageTemplateTypes = messageTemplateTypeMapper.selectList(messageTemplateTypeQueryWrapper);
        return messageTemplateTypes;
    }
}
